sasl_getopt_t(26 March 2000)

NAME
sasl_getopt_t - The SASL get option callback

SYNOPSIS
#include <sasl.h>

int sasl_getopt_t(void *context,
		     const char *plugin_name,
		     const char *option,
		     const cahr ** result,
		     unsigned * len);

DESCRIPTION
sasl_getopt_t is used to retrieve an option, often mechanism specific, from the application. An example of this is requested what KERBEROS_V4 srvtab file to use. plugin_name is the plugin this value if for. option is a string representing the option. A common option that all server applications should handle is method for checking plaintext passwords. See the administrators guide for a full description of this option.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff